# -*- coding: utf-8 -*-
"""
/***************************************************************************
 IDECanarias
                                 A QGIS plugin
 Perform querys in local toponimia
                              -------------------
        begin                : 2014-05-14
        copyright            : (C) 2014 by Felix Jose Hernandez
        email                : fhernandeze@grafcan.es
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/
"""
# Import the PyQt and QGIS libraries
from PyQt4 import QtCore
from PyQt4 import QtGui
#from qgis.core import *
# Initialize Qt resources from file resources.py
import resources_rc
# Import the code for the dialog
from idecanariasdialog import IDECanariasDialog
import os.path

# TODO: 140515, dock
from idecanariasdock import IDECanariasDock

class IDECanarias:

    def __init__(self, iface):
        # Save reference to the QGIS interface
        self.iface = iface
        # initialize plugin directory
        self.plugin_dir = os.path.dirname(__file__)
        # initialize locale
        locale = QtCore.QSettings().value("locale/userLocale")[0:2]
        localePath = os.path.join(self.plugin_dir, 'i18n', 'idecanarias_{}.qm'.format(locale))

        if os.path.exists(localePath):
            self.translator = QtGui.QTranslator()
            self.translator.load(localePath)

            if QtCore.qVersion() > '4.3.3':
                QtCore.QCoreApplication.installTranslator(self.translator)

        # Create the dialog (after translation) and keep reference
        self.dlg = IDECanariasDialog(self.iface)

        # TODO: 140514, install dock
        self.dock = IDECanariasDock(self.iface)
        self.iface.addDockWidget(QtCore.Qt.BottomDockWidgetArea, self.dock)


    def initGui(self):
        # Create action that will start plugin configuration
        self.action = QtGui.QAction(
            QtGui.QIcon(":/plugins/idecanarias/icon.png"),
            u"IDECanarias", self.iface.mainWindow())
        # connect the action to the run method
        self.action.triggered.connect(self.run)

        # Add toolbar button and menu item
        self.iface.addToolBarIcon(self.action)
        self.iface.addPluginToMenu(u"&IDECanarias", self.action)

    def unload(self):
        # Remove the plugin menu item and icon
        self.iface.removePluginMenu(u"&IDECanarias", self.action)
        self.iface.removeToolBarIcon(self.action)

    # run method that performs all the real work
    def run(self):
        # show the dialog
        self.dlg.show()
        # Run the dialog event loop
        result = self.dlg.exec_()
        # See if OK was pressed
        if result == 1:
            # do something useful (delete the line containing pass and
            # substitute with your code)
            pass
